Bug 857112 - 3.1 - Configuration of network with Boot protocol = DHCP on specific interface will configure that interface with Boot protocl DHCP as well
3.1 - Configuration of network with Boot protocol = DHCP on specific interfac...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Igor Lvovsky
GenadiC
network
: ZStream
: 856710 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 11:24 EDT by GenadiC
Modified: 2012-12-04 14:11 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-35.0
Doc Type: Bug Fix
Doc Text:
Previously, configuring a network on a specific interface with the boot protocol "DHCP" caused the underlying interface to be configured with the boot protocol "DHCP". This meant that when (for instance) you moved the DHCP-configured management network from one interface to another, the first interface would remain configured with DHCP. A patch to VDSM makes sure that "Boot proto=dchp" no longer appears in the ifcfg file when the DHCP-configured management network is moved from one interface to another. In those cases, the configured management network has no set boot protocol.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:11:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (12.78 MB, application/octet-stream)
2012-09-13 11:24 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-09-13 11:24:11 EDT
Created attachment 612486 [details]
vdsm log

Description of problem:
If you configure network on specific interface with Boot protocol DHCP, it will automatically configure the underlying interface with the Boot protocol DHCP.
For example when moving management network, configured with dhcp from one interface to another will leave the first interface with configuration of dhcp

How reproducible:
Always

Steps to Reproduce:
1. Configure bridged network on host interface with Boot protocol DHCP
2. Run ifcfg-ethx (x is the specific interface on which you configured network)
3.
  
Actual results:
interface x got Boot proto=dhcp in ifcfg file

Expected results:
Boot proto should be configured an None or should be missing from ifcfg file

Additional info:
Comment 2 Antoni Segura Puimedon 2012-09-18 11:57:15 EDT
I would need to know:

1. Which interface (oVirt Web/VdsCli) did you use for configuring the the bridged network.
2. Which is this command ifcfg-ethx where x is the interface previously configured. Do you mean to ifup it?
Comment 3 GenadiC 2012-09-19 03:17:18 EDT
(In reply to comment #2)
> I would need to know:
> 
> 1. Which interface (oVirt Web/VdsCli) did you use for configuring the the
> bridged network.
> 2. Which is this command ifcfg-ethx where x is the interface previously
> configured. Do you mean to ifup it?

1) I was using the WEBADMIN to create Bridged Network and add it to the interface on the host
2) I mean that if you run cat /etc/sysconfig/network-scripts/ifcfg-ethx command to see the configuration on the interface you'll get it configured with DHCP configuration instead of None
Comment 4 Antoni Segura Puimedon 2012-09-19 11:17:36 EDT
Submitted a patch:
http://gerrit.ovirt.org/#/c/8058
Comment 6 Dan Kenigsberg 2012-09-23 10:48:51 EDT
*** Bug 856710 has been marked as a duplicate of this bug. ***
Comment 7 GenadiC 2012-09-24 03:02:19 EDT
(In reply to comment #6)
> *** Bug 856710 has been marked as a duplicate of this bug. ***

When verifying this bug, we should verify the https://bugzilla.redhat.com/show_bug.cgi?id=856710 as well to test that the check connectivity is fixed as well
Comment 8 GenadiC 2012-09-27 11:16:29 EDT
Verified in SI19
Comment 11 errata-xmlrpc 2012-12-04 14:11:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.